package com.dahe.gldriver.bean

/**
 * @ClassName UpDriverInfoBean
 * @Author john
 * @Date 2024/2/27 11:09
 * @Description TODO
 */
data class UpPersonInfoBean(
    var idcardNo: String = "",
    var idcardName: String = "",
    var idcardSex: String = "",
    var idcardEthnicity: String = "",
    var idcardEffectiveStart: String = "",
    var idcardEffectiveEnd: String = "",
    var idcardIsEndless: String = "",
    var idcardFrontUrl: String = "",
    var idcardBackUrl: String = "",
    var idcardAddress: String = ""
)

/**
* 上传驾驶证
* */
data class UpDriverInfoBean(
    var licenseNo: String = "",
    var licenseType: String = "",
    var licenseName: String = "",
    var licenseRecordNumber: String = "",
    var licenseEffectiveStart: String = "",
    var licenseEffectiveEnd: String = "",
    var licensePhotoFaceUrl: String = "",
    var licensePhotoBackUrl: String = "",
    var licenseFirstGetDate: String = "",
    var licenseApproveOrganization: String = ""
)

/**
* 上传从业资格
* */
data class UpQualiInfoBean(
    var qualificationCertificateNo: String = "",
    var qualificationCertificateEffectiveEnd: String = "",
    var qualificationCertificatePhotoUrl: String = "",
    var qualificationCertificateExamineDate: String = ""
)

/**
* 上传银行卡
* */
data class UpBankInfoBean(
    var driverBankcardNumber: String = "",
    var driverBankcardPhotoUrl: String = "",
    var driverBankcardAddress: String = ""
)



/**
* 认证车队长bean
* */
data class AuthTeamBean(
    var captainBankcardAddress: String="",
    var captainBankcardNumber: String="",
    var captainBankcardPhotoUrl: String="",
    var captainType: String="",//类型(0=个人，1=企业)
    var idcardAddress: String="",
    var idcardBackUrl: String="",
    var idcardEffectiveEnd: String="",
    var idcardEffectiveStart: String="",
    var idcardEthnicity: String="",
    var idcardFrontUrl: String="",
    var idcardIsEndless: String="",
    var idcardName: String="",
    var idcardNo: String="",
    var roadLicensePhotoUrl: String="",
    var roadLicense: String="",
    var roadLicenseValidity: String="",
    var businessLicensePhoneUrl: String="",
    var businessLicenseCreditCode: String="",
    var businessLicenseEffectiveStart: String="",
    var businessLicenseEffectiveEnd: String="",
    var idcardSex: String=""
){
    constructor(captainType: String) : this(){
        this.captainType = captainType
    }
}

